Favicon

You are here: Home > API Reference > Platform > Organization Notifications > Get list of notification

GET /organizations/:organizationId/notifications

Required Permission: base.organization.notification.list

Get list of notification

GET
https://api.applivery.io/v1/organizations/{organizationId}/notifications
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/notifications" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/notifications", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/notifications",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
type string
optional
slackwebhook

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
description string optional
≤ 128 characters
type string required
slack webhook
config object optional
events object required
updatedAt string required
createdAt string required
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organization": "string",
                "description": "string",
                "type": "slack",
                "config": {
                    "slack": {
                        "team": "string",
                        "channel": "string"
                    },
                    "webhook": {
                        "url": "string",
                        "token": "string"
                    }
                },
                "events": {
                    "buildCreated": true,
                    "buildProcessed": true,
                    "feedbackCreated": true,
                    "certificateWillExpire": true,
                    "applePushRenovation": true,
                    "emmEnrollmentCreated": true,
                    "emmDeviceCreated": true,
                    "emmDeviceChangedMdmUser": true,
                    "admEnrollmentCreated": true,
                    "admDeviceCreated": true,
                    "admDeviceChangedMdmUser": true,
                    "winEnrollmentCreated": true,
                    "winDeviceCreated": true,
                    "winDeviceChangedMdmUser": true,
                    "aosEnrollmentCreated": true,
                    "aosDeviceCreated": true,
                    "aosDeviceChangedMdmUser": true,
                    "inventoryItemRegistered": true
                },
                "updatedAt": "string",
                "createdAt": "string"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}